GLANCE-CACHE-MANAGE(1)

NAME
glance-cache-manage - Glance Cache Manager

CACHE MANAGEMENT UTILITY

    Author
        OpenStack Glance Project Team

    Contact
        <glance@lists.launchpad.net>

    Date
        2025-04-02

    Copyright
        OpenStack Foundation

    Version
        30.0.0

    Manual section
        1

    Manual group
        cloud computing

  SYNOPSIS

            glance-cache-manage <command> [options] [args]

  COMMANDS

    help <command>
        Output help for one of the commands below

    list-cached
        List all images currently cached

    list-queued
        List all images currently queued for caching

    queue-image
        Queue an image for caching

    delete-cached-image
        Purges an image from the cache

    delete-all-cached-images
        Removes all images from the cache

    delete-queued-image
        Deletes an image from the cache queue

    delete-all-queued-images
        Deletes all images from the cache queue

  OPTIONS

    --version
        show program's version number and exit

    -h, --help
        show this help message and exit

    -v, --verbose
        Print more verbose output

    -d, --debug
        Print more verbose output

    -H ADDRESS, --host=ADDRESS
        Address of Glance API host. Default: 0.0.0.0

    -p PORT, --port=PORT
        Port the Glance API host listens on. Default: 9292

    -k, --insecure
        Explicitly allow glance to perform "insecure" SSL (https) requests. The server's certificate will not be verified against any certificate authorities. This option should be used with caution.

    -A TOKEN, --auth_token=TOKEN
        Authentication token to use to identify the client to the glance server

    -f, --force
        Prevent select actions from requesting user confirmation

    -S STRATEGY, --os-auth-strategy=STRATEGY
        Authentication strategy (keystone or noauth)

    -os-auth-token=OS_AUTH_TOKEN
        Defaults to env[OS_AUTH_TOKEN]

    --os-username=OS_USERNAME
        Defaults to env[OS_USERNAME]

    --os-password=OS_PASSWORD
        Defaults to env[OS_PASSWORD]

    --os-region-name=OS_REGION_NAME
        Defaults to env[OS_REGION_NAME]

    --os-tenant-id=OS_TENANT_ID
        Defaults to env[OS_TENANT_ID]

    --os-tenant-name=OS_TENANT_NAME
        Defaults to env[OS_TENANT_NAME]

    --os-auth-url=OS_AUTH_URL
        Defaults to env[OS_AUTH_URL]

    -os-user-domain-id=OS_USER_DOMAIN_ID
        Defaults to env[OS_USER_DOMAIN_ID]

    --os-project-domain-id=OS_PROJECT_DOMAIN_ID
        Defaults to env[OS_PROJECT_DOMAIN_ID]

    --os-domain-id=OS_AUTH_URL
        Defaults to env[OS_DOMAIN_ID]

  SEE ALSO

    •   OpenStack Glance <http://glance.openstack.org>

  BUGS

    •   Glance bugs are tracked in Launchpad so you can view current bugs at OpenStack Glance <http://bugs.launchpad.net/glance>

Author
OpenStack

Copyright
2010-present, OpenStack Foundation.